%def_with sys_pccts
%def_with sys_cdrtools
%def_enable xdao

%define cvsdate 20020925
%undefine cvsdate

Name: cdrdao
Version: 1.2.2
%define release alt2

%ifdef cvsdate
Release: %{release}cvs%cvsdate
%else
Release: %release
%endif

Summary: Cdrdao - Write audio CD-Rs in disk-at-once mode
Group: Archiving/Cd burning
License: GPL
Url: http://cdrdao.sourceforge.net
Packager: Pavlov Konstantin <thresh@altlinux.ru>

%ifndef cvsdate
Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
%else
Source: %name-%version-%cvsdate.tar.bz2
%endif

Source1: %name.control
Patch1: %name-1.1.9-alt-locale.patch

PreReq: control


# Added by buildreq2 on Wed Feb 01 2006
BuildRequires: gcc-c++ gnome-libs-devel libacl-devel libao-devel libgnome-vfsmm-devel libgnomemm-devel libgnomeui-devel libgnomeuimm-devel liblame-devel libmad-devel libpopt-devel libvorbis-devel pccts-devel

%description
Writes audio CD-Rs in disc-at-once (DAO) mode allowing
control over pre-gaps (length down to 0, nonzero audio data)
and sub-channel information like ISRC codes. All data that
is written to the disc must be specified with a text file.
Audio data may be in WAVE or raw format.

%package -n gcdmaster
Summary: Graphical front end to cdrdao for composing audio CDs
Group: Archiving/Cd burning
Requires: %name = %version-%release

%description -n gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and
can control the recording process. Its main application is
the composition of audio CDs from one or more audio files.
It supports PQ-channel editing, entry of meta data like
ISRC codes/CD-TEXT and non destructive cut of the audio data.

%prep

%ifndef cvsdate
%setup -q -n %name-%version
%else
%setup -q -n %name-%version-%cvsdate
%endif
%patch1 -p1

%build
%ifdef cvsdate
find -type d -name CVS -print0 | xargs -r0 %__rm -rf --
%define __autoconf autoconf_2.5
%__subst 's@autoconf@%__autoconf@' autogen.sh
./autogen.sh
%endif

%__autoreconf

%configure \
%if_with sys_pccts
	--with-pcctsbin=%_bindir \
	--with-pcctsinc=%_includedir/pccts \
%endif
%if_with sys_cdrtools
	--with-scglib-inc=%_includedir/schily \
	--with-scglib-lib=%_libdir \
%endif
	%{subst_enable xdao}

%make_build

%install
%makeinstall

# Creating menu for gcdmaster 
cat <<__MENU__ >gcdmaster.menu
?package(%name): needs="X11" section="Applications/%group" title="gCDmaster" \
longtitle="Cdrdao frontend" command="%_bindir/gcdmaster" \
icon="gcdmaster.png"
__MENU__

install -pD -m644 gcdmaster.menu %buildroot%_menudir/gcdmaster
install -pD -m644 xdao/stock/gcdmaster.png %buildroot%_datadir/pixmaps/gcdmaster.png

# control support
install -pD -m755 %SOURCE1 %buildroot%_controldir/%name
chmod 700 %buildroot%_bindir/%name

%pre
%pre_control %name

%post
%post_control %name

%post -n gcdmaster
%update_menus

%postun -n gcdmaster
%clean_menus

%files
%config /etc/control.d/facilities/%name
%_bindir/*
%exclude %_bindir/gcdmaster
%_datadir/%name
%_man1dir/*
%exclude %_man1dir/gcdmaster*
%doc README CREDITS ChangeLog NEWS

%if_enabled xdao
%files -n gcdmaster
%_bindir/gcdmaster
%_datadir/applications/*
%_datadir/pixmaps/*
%_man1dir/gcdmaster*
%_menudir/gcdmaster
%endif

%changelog
* Fri Jul 13 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.2.2-alt2
- Set default control to public (fixes #7481, #12272).

* Thu Nov 16 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.2.2-alt1
- 1.2.2 release.
- Removed patch2 (merged upstream).

* Mon May 15 2006 Anton Farygin <rider@altlinux.ru> 1.2.1-alt2
- fixed build by gcc-4.1

* Tue Jan 31 2006 Anton Farygin <rider@altlinux.ru> 1.2.1-alt1
- new version
- updated buildrequires
- fixed build for x86_64

* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.9-alt0.8
- patch for some gcc 3.4 fixes. (MDK).
- fix ambigous operator cast (P4 from fedora).

* Wed Jun 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.9-alt0.7
- new version.
- fix to build with new gtkmm2-2.4.1
- FIXME: Use "C" locale to temporaly fix #3906 with menu.

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.8-alt0.5
- new version.

* Tue May 20 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt0.6
- added control support

* Sat Oct 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.7-alt0.5
- 1.1.7 without gcdmaster (it requires old gnome).

* Thu Sep 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.6-alt0.5cvs20020925
- built lastest cvs snapshot with gcc-3.2
- updated buildrequires.

* Thu Jan 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.5-alt1
- First build for Sisyphus
